<?
require'config.php';
aut();
who_add(0,'enter');

if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['nk']);
$select = @$db->sql_query ("Select * from users where id='".$nk."'");

if (mysql_affected_rows() == 0){
$align='left';
$title='Анкета';
head();
echo "Юзер не найден. Возможно ник удалён.<br/>";
foot();
}
$inf = $db->sql_fetchrow ($select);
////////////////////////////////
if (!empty($inf['name']))   $reyting = $reyting + 15;
if (!empty($inf['surname']))  $reyting = $reyting + 15;
if (!empty($inf['country']))  $reyting = $reyting + 15;
if (!empty($inf['city']))  $reyting = $reyting + 15;
if (!empty($inf['religia']))  $reyting = $reyting + 15;

if (!empty($inf['mail'])) $reyting = $reyting + 20;
if (!empty($inf['mobtel'])) $reyting = $reyting + 20;
if (!empty($inf['hometel'])) $reyting = $reyting + 20;
if (!empty($inf['icq'])) $reyting = $reyting + 15;

if (!empty($inf['deiat'])) $reyting = $reyting + 10; 
if (!empty($inf['interes'])) $reyting = $reyting + 10;
if (!empty($inf['likemuz'])) $reyting = $reyting + 10;
if (!empty($inf['likefil'])) $reyting = $reyting + 10;
if (!empty($inf['liketel'])) $reyting = $reyting + 10;
if (!empty($inf['likebook'])) $reyting = $reyting + 10; 
if (!empty($inf['likegames'])) $reyting = $reyting + 10;
if (!empty($inf['likecit'])) $reyting = $reyting + 10;
if (!empty($inf['infa'])) $reyting = $reyting + 10;

if (!empty($inf['obcoun'])) $reyting = $reyting + 15; 
if (!empty($inf['obcity'])) $reyting = $reyting + 15;
if (!empty($inf['school'])) $reyting = $reyting + 15;
if (!empty($inf['vuz'])) $reyting = $reyting + 15;
if (!empty($inf['ptu'])) $reyting = $reyting + 15;

if (!empty($inf['valcoun']))  $reyting = $reyting + 5;
if (!empty($inf['valcity']))  $reyting = $reyting + 5;
if (!empty($inf['val']))  $reyting = $reyting + 5;
if (!empty($inf['valyear1']))  $reyting = $reyting + 5;
if (!empty($inf['valyear2'])) $reyting = $reyting + 5;
if (!empty($inf['position'])) $reyting = $reyting + 5;

if (!empty($inf['milcoun'])) $reyting = $reyting + 12; 
if (!empty($inf['milcity'])) $reyting = $reyting + 12;

if (!empty($inf['photo'])) $reyting = $reyting + 150;

if (strlen($inf['deiat']) > 150) $reyting = $reyting + 10;
if (strlen($inf['interes']) > 150) $reyting = $reyting + 10;
if (strlen($inf['likemuz']) > 150) $reyting = $reyting + 10;
if (strlen($inf['likefil']) > 150) $reyting = $reyting + 10;
if (strlen($inf['liketel']) > 150) $reyting = $reyting + 10;
if (strlen($inf['likebook']) > 150) $reyting = $reyting + 10;
if (strlen($inf['likegames']) > 150) $reyting = $reyting + 10;

$result = mysql_query("SELECT * FROM golos where `user_1` = '".$inf['id']."'");
while($golos = mysql_fetch_assoc($result)){
    
    $i = $i + $golos['golos'];

}
$reyting = $reyting + $i;

if ($inf['posts'] > 1000) {
    $a = $inf['posts'] / 1000;
    $a = (int)$a;
    $reyting = $reyting + ($a * 3); 
}

if ($inf['posts'] > 100) {
    $a = $inf['posts'] / 100;
    $a = (int)$a;
    $reyting = $reyting + ($a * 1); 
}
////////////////////////////////

if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит вашу Анкету')."','$time')");

if ($inf['credits']>=0 && $inf['credits']<100) $victstatus="Ученик";
if ($inf['credits']>=100 && $inf['credits']<500) $victstatus="Студент";
if ($inf['credits']>=500 && $inf['credits']<1000) $victstatus="Бакалавр";
if ($inf['credits']>=1000 && $inf['credits']<2000) $victstatus="Магистр";
if ($inf['credits']>=2000 && $inf['credits']<5000) $victstatus="Кандидат в доктора";
if ($inf['credits']>=5000 && $inf['credits']<7000) $victstatus="Доктор наук";
if ($inf['credits']>=7000) $inf['credits']="Учитель НеЗнайки =)";

$levelselect = @$db->sql_query ("Select * from levels where level='".$inf['level']."'");
$levels = @$db->sql_fetchrow($levelselect);
$levname = $levels["name"];

$align='left';
$title='Анкета '.$inf['user'];
if($ver == 'xhtml'){echo '<body background="/style/fon/'.$user['fon'].'.png">';}
head();

switch($mod){
default:

echo '<br/>';
$b_ip = $db->sql_fetchrow($db->sql_query ("select * from bannip;"));
$db->sql_query ("select * from bannlist where (ip = '".$inf[user_ip]."')and(soft = '".$inf[user_soft]."') limit 1;");
if ((mysql_affected_rows()!=0)||($inf[bann]>$time)||(substr_count('$ip', '$b_ip[ip]')!=0))
{
	echo "<font color=\"red\"><b>пользователь в бане!</b></font><br />";
} 
include H.'garem/prof.php';


if($inf['myavatar']!='')echo '<img src="'.$inf['myavatar'].'" alt="личный аватар" height="80" width="80"></img><br/>';

if ($inf[id]==$user[id]){
echo links.'- [<a href="my/profile">Редактировать</a>]'.div;
$k_a = $db->sql_fetchfield($db->sql_query("select count(*) as num from foto_albom where user_id = '".$inf[id]."'"),0);
if ($k_a!=0)echo links.'- [<a href="'.H.'my_albums">Мои альбомы</a>]['.$k_a.']'.div;

}else{
echo links.'- [<a href="my/privat?mod=add&amp;to='.$inf[id].'">Написать письмо</a>]'.div;

$k_a = $db->sql_fetchfield($db->sql_query("select count(*) as num from foto_albom where user_id = '".$inf[id]."'"),0);
if ($k_a!=0)echo links.'- [<a href="'.H.'album'.$inf[id].'">Мои альбомы</a>]['.$k_a.']'.div;

$aud = $db->sql_fetchfield($db->sql_query("select count(*) as num from audio where user_id = '".$inf[id]."'"),0);
if ($aud!=0)echo links.'- [<a href="'.H.'audio'.$inf[id].'">Музыка '.$inf[user].'('.$aud.')</a>]'.div;
$vid = $db->sql_fetchfield($db->sql_query("select count(*) as num from video where user_id = '".$inf[id]."'"),0);
if ($vid!=0)echo links.'- [<a href="'.H.'video'.$inf[id].'">Видео '.$inf[user].'('.$vid.')</a>]'.div;

}
/////////////////////////////////////////
echo '<div class="pr">';
if ($reyting>='0' && $reyting<='100'){
$a = '<div style="border-top:1px solid #ccccaa;background-color:#eeeedd;height:17px;width:215px"><div style="background-color:#cccccc;height:17px;width:'.$reyting.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#888888;">'.$reyting.'%</span></div>';
}
if ($reyting>='101' && $reyting<='200'){
$z='100';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#90ee90;height:17px;width:215px"><div style="background-color:#32cd32;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#008000;">'.$reyting.'%</span></div>';
}
if ($reyting>='201' && $reyting<='300'){
$z='200';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ffa07a;height:17px;width:215px"><div style="background-color:#ff6347;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='301' && $reyting<='400'){
$z='300';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ffa07a;height:17px;width:215px"><div style="background-color:#ff6347;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='401' && $reyting<='500'){
$z='400';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='501' && $reyting<='600'){
$z='500';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='601' && $reyting<='700'){
$z='600';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='701' && $reyting<='800'){
$z='700';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}
if ($reyting>='801' && $reyting<='1000'){
$z='800';
$s=$reyting - $z;
$a = '<div style="border-top:1px solid #ccccaa;background-color:#ff6347;height:17px;width:215px"><div style="background-color:#ff0000;height:17px;width:'.$s.'%;"></div><span style="position:relative;top:-15px;left:45%;right:57%;color:#b22222;">'.$reyting.'%</span></div>';
}

echo $a;
echo '</div>';

mysql_query ("Select * from golos WHERE (user_1 = '".$inf['id']."') AND (user_2 = '".$user['id']."')");
if ((mysql_affected_rows()==0) AND ( $inf['id'] != $user['id'] ) ) {

echo '<form action="golos.php?us='.$inf['id'].'" method="post" name="form">
Голос за анкету:<br/> 
<select name="golos">
<option value="1">+1</option>
<option value="2">+2</option>
<option value="3">+3</option>
<option value="4">+4</option>
<option value="5">+5</option>
<option value="6">+6</option>
<option value="7">+7</option>
<option value="8">+8</option>
<option value="9">+9</option>
<option value="10">+10</option>

</select><input name="submit" type="submit" class="button" value="Голосовать" /></form>';

}
/////////////////////////////////////////


$v0=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_photo where user_id = '".$inf[id]."'"),0);
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from komm_photo where user_id = '".$inf['id']."'"),0);
if($inf['photo']!='')echo '- Голосов за <a href="'.H.'photo'.$inf[id].'">фото</a>['.$v0.']<br/>- <a href="'.H.'photo'.$inf[id].'">Отзывы о фото</a>['.$k_post.']<br/>';
if($inf['diaries']>0)echo '- [<a href="diaries'.$inf['id'].'">Дневник</a>]<br/>';

$all_gift =$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `have_user` = '$nk' AND `have` = '1'"),0);
echo '- [<a href="shops.php?mod=user_view&amp;nk='.$inf['id'].'">Подарки</a>]['.$all_gift.'][<a href="shops?nk='.$inf['id'].'">+</a>]';


echo "<br/>- ID: $inf[id]<br/>";
echo '- Имя: '.$inf[name].'<br/>';
if($inf['surname']!='')echo '- Фамилия: '.$inf[surname].'<br/>';
echo '- Статус: <font color="'.$inf[color_status].'"><b>'.$inf[status].'</b></font><br/>';
if($inf['id'] == 3 or $inf['id'] == 322 or $inf['id'] == 1) {$inf[level] = 0; $levname = 'новичок';}

if(($inf[level]<4))echo "- Уровень: <b>$levname</b><br/>";

if(($inf[level]>3)) echo "- Должность: <b>$levname</b><br/>";

if($inf[nastroi]!='') echo "- Нacтpoeниe: $inf[nastroi]<br/>";

$birth = $inf["birth"];
$birth = explode("-",$birth);
$d = $birth[0];
$m = $birth[1];
$g = $birth[2];
if ($d != NULL and $m != NULL and $g != NULL)
{
 $birth = date("Y")-$g;
 if (date("n") < $m) $birth = $birth-1;
 elseif (date("n") == $m and date("j") < $d) $birth = $birth-1;
 if ($birth == 21 or $birth == 31 or $birth == 41 or $birth == 51 or $birth == 61)
 {
 $years = 'год';
}
 elseif ($birth == 22 or $birth == 23 or $birth == 24 or $birth == 32
 or $birth == 33 or $birth == 34 or $birth == 42 or $birth == 43
 or $birth == 44 or $birth == 52 or $birth == 53 or $birth == 54
 or $birth == 62 or $birth == 63 or $birth == 64)
{
 $years = 'года';
}
 else
{
 $years = 'лет';
}
 function zod($month, $day, $nk)
 {
      $signs = array(
      '<a href = "zodiak.php?mod=kozerog&amp;nk='.$nk.'"><img src = "img/zodiak/kozerog.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=vodolei&amp;nk='.$nk.'"><img src = "img/zodiak/vodolei.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=rubi&amp;nk='.$nk.'"><img src = "img/zodiak/ribi.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=oven&amp;nk='.$nk.'"><img src = "img/zodiak/oven.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=telec&amp;nk='.$nk.'"><img src = "img/zodiak/telec.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=bliznec&amp;nk='.$nk.'"><img src = "img/zodiak/bliznec.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=rak&amp;nk='.$nk.'"><img src = "img/zodiak/rak.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=lev&amp;nk='.$nk.'"><img src = "img/zodiak/lev.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=deva&amp;nk='.$nk.'"><img src = "img/zodiak/deva.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=vesi&amp;nk='.$nk.'"><img src = "img/zodiak/vesi.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=scorpio&amp;nk='.$nk.'"><img src = "img/zodiak/skorpion.gif" alt="."/></a>',
      '<a href = "zodiak.php?mod=strelec&amp;nk='.$nk.'"><img src = "img/zodiak/streles.gif" alt="."/></a>');
      $signsstart = array(1=>21, 2=>20, 3=>20, 4=>20, 5=>20, 6=>20, 7=>21, 8=>22, 9=>23, 10=>23, 11=>23, 12=>23);
      return $day < $signsstart[$month + 1] ? $signs[$month - 1] : $signs[$month % 12];
   }
 echo '- Возраст: '.$birth.' '.$years.' ';
if ($inf['date_birth'] ==1)echo '('.$d.'.'.$m.'.'.$g.')';
echo ''.zod($m, $d, $nk).'<br/>';
}


if ($inf[sex]==1)echo "- Пол: мужской<br/>";
else if ($inf[sex]==0)echo "- Пол: женский<br/>";
//if ($user['level']==9)echo '- где: <a href="'.$inf[location_ref].'">'.$inf[location].'</a><br/>';
if($inf[country]!='')echo "- Страна: $inf[country]<br/>";
if($inf[city]!='')echo "- Город: $inf[city]<br/>";
if ($inf[para]>=1){
if ($inf[sex]==0){
echo '-  Замужем: муж   '.nik($inf[para]).' <br/>'; 
}else{
echo '- Женат: жена  '.nik($inf[para]).' <br/>'; 
}
}
if ($inf[sex]==1){
if($inf[semia]==1) $semia = 'не женат';
elseif($inf[semia]==2) $semia = 'есть подруга';
elseif($inf[semia]==3) $semia = 'помолвлен';
elseif($inf[semia]==4) $semia = 'женат';
elseif($inf[semia]==5) $semia = 'все сложно';
elseif($inf[semia]==6) $semia = 'в активном поиске';
}else{
if($inf[semia]==1) $semia = 'не замужем';
elseif($inf[semia]==2) $semia = 'есть друг';
elseif($inf[semia]==3) $semia = 'помолвлена';
elseif($inf[semia]==4) $semia = 'замужем';
elseif($inf[semia]==5) $semia = 'все сложно';
elseif($inf[semia]==6) $semia = 'в активном поиске';
}
if($inf[semia]!=0)echo "- Семейное положение: $semia<br/>";

if($inf[politic]==1)$politic = 'индифферентные';
elseif($inf[politic]==2)$politic = 'коммунистические';
elseif($inf[politic]==3)$politic = 'социалистические';
elseif($inf[politic]==4)$politic = 'умереные';
elseif($inf[politic]==5)$politic = 'либеральные';
elseif($inf[politic]==6)$politic = 'консервативные';

if($inf[politic]!=0)echo "- Политические взгляды: $politic<br/>";
if($inf[religia]!='')echo "- Религиозные взгляды: $inf[religia]<br/>";
if($inf['posts']>=0 && $inf['posts']<=1000)echo "- ранг <img src='rat/rank1.gif'></img><br/>"; 
if($inf['posts']>=1001 && $inf['posts']<=2000)echo "- ранг <img src='rat/rank2.gif'></img><br/>";
if($inf['posts']>=2001 && $inf['posts']<=3000)echo "- ранг <img src='rat/rank3.gif'></img><br/>";
if($inf['posts']>=3001 && $inf['posts']<=4000)echo "- ранг <img src='rat/rank4.gif'></img><br/>";
if($inf['posts']>=4001 && $inf['posts']<=5000)echo "- ранг <img src='rat/rank5.gif'></img><br/>";
if($inf['posts']>=5001 && $inf['posts']<=6000)echo "- ранг <img src='rat/rank6.gif'></img><br/>";
if($inf['posts']>=6001 && $inf['posts']<=7000)echo "-; ранг <img src='rat/rank7.gif'></img><br/>";
if($inf['posts']>=7001 && $inf['posts']<=8000)echo "- ранг <img src='rat/rank8.gif'></img><br/>";
if($inf['posts']>=8001 && $inf['posts']<=9000)echo "- ранг <img src='rat/rank9.gif'></img><br/>";
if($inf['posts']>=9001)echo "- Ранг<img src='rat/rank10.gif'></img><br/>";

// контакты
$mail=explode('|',$inf['mail']);
$mobtel=explode('|',$inf['mobtel']);
$hometel=explode('|',$inf['hometel']);
$icq=explode('|',$inf['icq']);
$skype=explode('|',$inf['skype']);
$vkontakte=explode('|',$inf['vkontakte']);
if ($mail[0]!='' || $mobtel[0]!='' || $hometel[0]!='' || $icq[0]!='' || $skype[0]!='' || $vkontakte[0]!=''){
if (($mail[0]!='') && (($mail[1]==0)||(friends($inf['id'],$user['id'])==1)))echo "-  email: <a href=\"mail?to=$mail[0]\">$mail[0]</a><br/>";
if (($mobtel[0]!='') && (($mobtel[1]==0)||(friends($inf['id'],$user['id'])==1)))echo "-  Моб. телефон: $mobtel[0]<br/>";
if (($hometel[0]!='') && (($hometel[1]==0)||(friends($inf['id'],$user['id'])==1)))echo "-  Дом. телефон: $hometel[0]<br/>";
if (($icq[0]!='') && (($icq[1]==0)||(friends($inf['id'],$user['id'])==1)))echo "-  icq: $icq[0]<br/>";
if ($inf[skype]!='')echo "  Скайп: $inf[skype]<br/>";
if ($inf[vkontakte]!='')echo "-  id в контакте: <a href=\"http://vkontakte.ru/id$inf[vkontakte]\">$inf[vkontakte]</a><br/>";
}
echo '--~~~--<br/>';
// группы пользователя
$k_g=$db->sql_fetchfield($db->sql_query("select count(*) as num from group_users where user_id = '".$inf['id']."' and access != '1'"),0);
if($k_g!=0){
echo '<b>Группы пользователя</b><br/>';
$r = $db->sql_query ("select * from group_users where user_id = '".$inf['id']."' and access != '1' order by id limit 100");
while($a = @$db->sql_fetchrow($r)){
$g = @$db->sql_fetchrow($db->sql_query ("select * from groups where id = '".$a['gid']."'"));
$lider = @$db->sql_fetchrow($db->sql_query ("select * from groups where id = '".$g['id']."'"));
echo '- <a href="/groups/group'.$g['id'].'">'.$g['name'].'</a>';
if ($lider['lider_id']==$inf['id']) echo ' (<b>лидер</b>)';
echo '<br/>';
}
}
//инфа чата
echo "- Постов: $inf[posts] (сегодня: $inf[dayp])<br />";
if($user['level'] >=9 ) echo '- Посты в [<a href="posts?nk='.$inf['id'].'">чате</a>]<br/>';
if ($inf['gposts']<0)$vyig = 'Проиграл постов';
else if ($inf['gposts']>=0)$vyig = 'Выиграл постов';
echo "- $vyig: ".strtr($inf['gposts'], array ('-' => ''))."<br/>";
if($inf['postsf']>0)echo '- Постов в <a href="forum/my_p">форумe</a>: '.$inf['postsf'].'<br/>';
echo "- Денег: $inf[rur] рублей<br/>";
if($inf['rurmag']>0)echo "- Потрачено в магазине: $inf[rurmag] рублей<br/>";
if($inf['credits2']>0)echo '- Отгадано загадок '.$inf["credits2"].'<br/>';
echo "- Ответов: $inf[credits](сегодня: $inf[daya])<br/>";
if ($byeotv>0)echo "- Куплено: $inf[byeotv]<br/>";
echo "- Ученая степень: $victstatus<br/>";

$usf = $db->sql_fetchfield($db->sql_query ("select count(*) as num from friends where user_id ='".$inf[id]."' and yes = '1';"),0);
echo "- <a href=\"my/friends?mod=friends&amp;nk=$inf[id]\">друзей</a>: $usf<br/>";
$r4 = mysql_query("select count(id) as num from users where invite = '".(int)$nk."'");
$a4 = mysql_fetch_array($r4);
$golo = $a4['num'];
if($golo>0)
echo '- привел в чат: [<a href="privel?&amp;nk='.$inf['id'].'">'.$golo. '</a>] чел<br/>';

if (!empty($inf['invite'])) {
$invite = $inf['invite'];
$sql = 'select `id`, `user` from `users` where `id`='.(int)$invite.' limit 1';
$ms = mysql_query($sql) or die('q');
$invite = mysql_fetch_assoc($ms);

echo '- меня пригласил: [<a href="info?&amp;nk='.$invite['id'].'">'.$invite['user'].'</a>]<br/>';
}
// личное
if ($inf['infa']){
if($inf['infa']!=''){
if (strlen2($inf['infa'])<$set['size_lich'])echo '- о себе:<br/> '.$inf['infa'].'<br/>';
else echo "- о себе: <a href=\"".h.$inf['id']."?mod=lich&amp;act=9\">".substr2($inf['infa'])."...</a> <br/>";
}
}
##########################################
$ret0=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."'"),0);
$ret1=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."' and `type`='положительное'"),0); 
$ret2=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."' and `type`='отрицательное'"),0);
$db->sql_query('update `users` set `reit_vote` = "'.($ret1-$ret2).'" where `id` = "'.$inf[id].'" limit 1');

$ak=$ret1-$ret2;
$avt_name = array('вафлер' => '-100|-71','опущенка' => '-70|-51','супер мудак' => '-50|-31','мего лузер' => '-30|-21','поц' => '-20|-16','кидала' => '-15|-11','барыга' => '-10|-6','школота' => '-5|-1','бродяга' => '0|5','осваивается' => '6|10','наш чел' => '11|15','уважаемый' => '16|20','почётный' => '21|30','вышибало' => '31|50','неприкасаемый' => '51|70','великий сенсей' => '71|100');

foreach ($avt_name as $names => $num) {
list ($min,$max) = explode('|',$num);
$nums_range = range($min,$max);
if (!in_array($ak,$nums_range)) {
continue;
} else {
$avtr = $names;
}
}
$avtr = '<font color = "#0000ff">'.$avtr.'</font>';
echo '--~~~--<br/>';
echo ' -рейтинг: '.($ret0).' ['.($ret1-$ret2).' %] ('.$avtr.')<br/>';
if($ret0!='0'){ 
if($ret1==0 || $ret2 == 0){ 
if($ret1==0){ 
$n='100'; 
$p='0'; 
}else{ 
$n='0'; 
$p='100'; 
} 
}else{ 
$p = round(100-(100/($ret0/$ret2))); 
$n = round(100-(100/($ret0/$ret1))); 
} 
 echo'&#160;положительных: <b>'.$ret1.'</b> ('.$p.' %)<br /> 
 &#160;отрицательных: <b>'.$ret2.'</b> ('.$n.' %)<br />'; 
}else 
{ 
 echo'&#160;положительных: <b>'.$ret1.'</b> (100 %)<br /> 
 &#160;отрицательных: <b>'.$ret2.'</b> (100 %)<br />'; 
}
$k_n=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."'"),0);
echo '- <a href="'.H.'opinions'.$inf['id'].'">отзывы o '.$inf['user'].'</a>
[<b>'.$k_n.'</b>]<br/>';
$k_mn=$db->sql_fetchfield($db->sql_query("select count(*) as num from infringements where user_id = '".$inf['id']."'"),0);
echo '- <a href="'.H.'infringements'.$inf['id'].'">нарушения '.$inf['user'].'</a> [<b>'.$k_mn.'</b>]<br/>';
echo '--~~~--<br/>';
###########################################
define('chat_date',$inf['date']); 
$dayc=time(); 
$dayn = strtotime(chat_date); 
$dayd=round(($dayc-$dayn)/86400); 
echo "- в чате: <font color='#ff0000'>$dayd</font>-й день<br/>";


echo "- дата регистрации: $inf[date]<br/>";

if ($inf['onl']<($time-$set['time_aut']))echo "- последний раз был: ".times($inf['onl'])."<br/>";
echo "- потрачено трафика: $inf[alltraf] кб<br/>";
if ($inf[id]){
if (friends($inf[id],$user['id'])==0)echo links.'- [<a href="my/friends?mod=add&amp;act=add&amp;nick='.$inf[id].'">Добавить в друзья</a>]'.div;
else echo links.'- [<a href="my/friends?del='.friends($inf[id],$user[id],'id').'">Убрать из друзей</a>]<br/>'.div;
 
if (ignor($user[id],$inf[id])==0)echo links.'- [<a href="my/ignor?mod=add&amp;act=add&amp;no&amp;nick='.$inf[id].'">Добавить в игнор</a>]'.div;
else echo links.'- [<a href="my/ignor?del='.ignor($user[id],$inf[id],'id').'">Убрать из игнора</a>]'.div;
}

if($user["level"]>=7)echo links.'- <a href="admin/users?mod=view&amp;nick='.$inf['id'].'"><b>Aпдейт юзера</b></a>'.div;
else{
if($user["level"]>=4)echo links.'- <a href="apanel/users?mod=kik&amp;nick='.$inf['id'].'"><b>пнуть засранца</b></a>'.div;
if($user["level"]>=5)echo links.'- <a href="apanel/users?mod=ban&amp;nick='.$inf['id'].'"><b>забанить ник</b></a>'.div;
if($user["level"]>=6)echo links.'- <a href="apanel/users?mod=ban_ip_soft&amp;nick='.$inf[id].'"><b>банн ip+soft</b></a>.div';
}

if($user['level']>=4){
if ($inf['ver']==wml) echo "<b>версия сайта:</b> wml<br/>";
else echo "<b>версия сайта:</b> xhtml<br/>";
}

break;

case lich:
if (empty($act)){
echo '&#160;<b>личное:</b><br/>';
if($inf['infa']!='')echo '&#187; <u>о себе</u>:<br/> '.$inf['infa'].'<br/>';
}else if ($act==9)echo '&#160;<b>о себе</b>:<br/> '.text($inf['infa']).'<br/>';
break;
}



if ($ver!='wml'){
if ($user["level"] > 5) {
    $sremaddress = $inf["user_ip"];
    if ($sremaddress != 'unknown') {
        $osocket = fsockopen("whois.ripe.net", 43, $serrorno, $serrormsg);
        if (!$osocket) {
            echo $serrormsg;
            exit;
        }
        fputs($osocket, $sremaddress . "\r\n");
        while (!feof($osocket)) {
            if (preg_match('|address|i', $line2 = fgets($osocket))) {
                $adr[] = str_replace("address: ", " ", $line2);
            }
        }
        fclose($osocket);
    }
    echo '<br><b>его ip: '.$sremaddress.'</b>
			<br><b>размер экрана: '.$inf['size_display'].'</b>';
    echo '<b><font color="red"><a href="whois_user.php?rm='.$rm.'&ip='.$inf['user_ip'].'"><br/>информация об ip</a></font></b><br>';
    if (count(@$adr) != 0)
        foreach ($adr as $line2)
            echo $line2 . "<br>";
        else
            echo "нет данных<br>";
}}
/*
echo whois("whois.arin.net",$inf['user_ip']);

function whois($url,$ip)
{
  // соединение с сокетом tcp, ожидающим на сервере "whois.arin.net" по 
  // 43 порту. в результате возвращается дескриптор соединения $sock.
  $sock = fsockopen($url, 43, $errno, $errstr);
  if (!$sock) exit("$errno($errstr)");
  else
  {
    echo $url."<br>";
    // записываем строку из переменной $_post["ip"] в дескриптор сокета.
    fputs ($sock, $ip."\r\n");
    // осуществляем чтение из дескриптора сокета.
    $text = "";
    while (!feof($sock))
    {
      $text .= fgets ($sock, 128)."<br>";
    }
    // закрываем соединение
    fclose ($sock);

    // ищем реферальный сервере
    $pattern = "|referralserver: whois://([^\n<:]+)|i";
    preg_match($pattern, $text, $out);
    if(!empty($out[1])) return whois($out[1], $ip);
    else return $text;
  }
}

/*
if ($user["level"] > 5) {
    $sremaddress = $inf["user_ip"];
    if ($sremaddress != 'unknown') {
        $osocket = fsockopen("whois.ripe.net", 43, $serrorno, $serrormsg);
        if (!$osocket) {
            echo $serrormsg;
            exit;
        }
        fputs($osocket, $sremaddress . "\r\n");
        while (!feof($osocket)) {
            if (preg_match('|address|i', $line2 = fgets($osocket))) {
                $adr[] = str_replace("address: ", " ", $line2);
            }
        }
        fclose($osocket);
    }
    ///echo "<br><b>ваш ip: $sremaddress</b>";
    ////echo "<b><font color=\"red\"><a href=\"whois_user.php?rm=" . $rm . "&ip=" . $inf["user_ip"] .\">
	/////echo "<br /><b><font color=\"red\">информация об ip</font></b><br>";
    /*if (count(@$adr) != 0)
        foreach ($adr as $line2)
            echo $line2 . "<br>";
        else
            echo "нет данных<br>";*/

echo '<br/>';
if ($mod)echo gb.'<a href="'.H.$inf[id].'">в анкету</a>'.div;
echo gb.'<a href="'.H.'enter">прихожая</a>'.div;
info_compress();
echo 'время:'.$debag->endtimer().' сек<br />'.div;
foot();
?>